Get workbook entries
Returns a list of entries in the specified workbook.
Request
POST
https://api.datalens.tech/rpc/getWorkbookEntries
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
|
x-dl-audit-mode |
Type: string Const: Example: `` |
Body
application/json
{
"workbookId": "example",
"includePermissionsInfo": true,
"page": 0.5,
"pageSize": 0.5,
"createdBy": "example",
"scope": "dash",
"orderBy": {
"field": "name",
"direction": "asc"
},
"filters": {
"name": "example"
}
}
|
Name |
Description |
||||
|
workbookId |
Type: string ID of the workbook whose entries to retrieve. Example: |
||||
|
createdBy |
Type: string Filter entries by creator ID. Example: |
||||
|
filters |
Type: object
Filtering configuration. Example
|
||||
|
includePermissionsInfo |
Type: boolean Include permission information in the response. |
||||
|
orderBy |
Type: object
Sorting configuration. Example
|
||||
|
page |
Type: number Page number for pagination. |
||||
|
pageSize |
Type: number Number of entries per page. |
||||
|
scope |
Any of 2 types
Filter entries by scope. Example: |
EntryScope
Type of the entry, e.g. dash — dashboard, widget — chart, etc.
Type: string
Enum: dash, report, widget, dataset, folder, connection, compute, artifact
Responses
200 OK
Response
Body
application/json
{
"entries": [
{
"entryId": "example",
"scope": "dash",
"type": "example",
"key": "example",
"displayKey": "example",
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"savedId": "example",
"publishedId": "example",
"revId": "example",
"meta": {},
"hidden": true,
"workbookId": "example",
"collectionId": "example",
"tenantId": "example",
"isFavorite": true,
"isLocked": true,
"permissions": {
"execute": true,
"read": true,
"edit": true,
"admin": true
},
"mirrored": true
}
],
"nextPageToken": "example"
}
|
Name |
Description |
|
entries |
Type: GetWorkbookEntriesEntry[] List of workbook entries. Example
|
|
nextPageToken |
Type: string Token for retrieving the next page of results. Example: |
GetWorkbookEntriesEntry
|
Name |
Description |
||||||||
|
collectionId |
Type: string | null ID of the collection the entry belongs to. Example: |
||||||||
|
createdAt |
Type: string Creation timestamp. Example: |
||||||||
|
createdBy |
Type: string ID of the user who created the entry. Example: |
||||||||
|
displayKey |
Type: string | null Display key of the entry. Example: |
||||||||
|
entryId |
Type: string Unique identifier of the entry. Example: |
||||||||
|
hidden |
Type: boolean | null Indicates if the entry is hidden. |
||||||||
|
isFavorite |
Type: boolean Indicates if the entry is marked as favorite. |
||||||||
|
isLocked |
Type: boolean Indicates if the entry is locked. |
||||||||
|
key |
Type: string | null Key identifier of the entry. Example: |
||||||||
|
meta |
Type: object | null Metadata associated with the entry. Example
|
||||||||
|
mirrored |
Type: boolean | null Indicates if the entry is mirrored. |
||||||||
|
publishedId |
Type: string | null Published revision ID. Example: |
||||||||
|
revId |
Type: string Current revision ID. Example: |
||||||||
|
savedId |
Type: string | null Saved revision ID. Example: |
||||||||
|
scope |
Type: EntryScope Type of the entry, e.g. Enum: |
||||||||
|
tenantId |
Type: string | null ID of the DataLens tenant. Example: |
||||||||
|
type |
Type: string Entity type of the entry. Example: |
||||||||
|
updatedAt |
Type: string Last update timestamp. Example: |
||||||||
|
updatedBy |
Type: string ID of the user who last updated the entry. Example: |
||||||||
|
workbookId |
Type: string | null ID of the workbook the entry belongs to. Example: |
||||||||
|
permissions |
Type: object
Permissions for the entry. Example
|
Example
{
"entryId": "example",
"scope": "dash",
"type": "example",
"key": "example",
"displayKey": "example",
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"savedId": "example",
"publishedId": "example",
"revId": "example",
"meta": {},
"hidden": true,
"workbookId": "example",
"collectionId": "example",
"tenantId": "example",
"isFavorite": true,
"isLocked": true,
"permissions": {
"execute": true,
"read": true,
"edit": true,
"admin": true
},
"mirrored": true
}